List Item Categories
Beta/v1/catalog/item-categoriesThis endpoint is idempotent. Learn more
Returns a paginated list of item categories for the current account, including account-specific and global system categories.
cursoroptional stringQuery parameter: cursor for List Item Categories
limitoptional integerQuery parameter: limit for List Item Categories
qoptional stringQuery parameter: q for List Item Categories
typeoptional stringenumValues:material_categoryproduct_categoryFilter by item category type (material_category or product_category).
include[]optional arrayenumValues:ownerowner.accountpropertiesSub-objects to expand in the response. When omitted, sub-objects are returned as null.
objectstringenumValues:listObject type for ItemCategory list
page_infoobjectPagination metadata for ItemCategory list
next_cursorstringnullableCursor to fetch the next page, null if no more pages.
prev_cursorstringnullableCursor to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectArray of ItemCategory resources in this page
idstringItem category ID.
objectstringenumValues:item_categoryResource type identifier.
namestringDisplay name.
notesstringnullableNotes.
typestringenumValues:material_categoryproduct_categoryItem category type.
ownerobjectExpandablenullableOwner.
objectstringenumValues:ownerResource type identifier.
typestringenumValues:systemaccountThe owner type: "system" for platform defaults, "account" for account-owned resources.
accountobjectExpandablenullableThe account that owns this resource. null if the object is system-owned.
idstringAccount ID.
objectstringenumValues:accountResource type identifier.
namestringDisplay name.
default_billing_addressobjectnullableDefault billing address.
null in this endpoint.default_shipping_addressobjectnullableDefault shipping address.
null in this endpoint.brandingobjectnullableBranding configuration.
null in this endpoint.portalobjectnullablePortal configuration.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
propertiesobjectExpandablenullableProperties associated with this item category.
objectstringenumValues:listObject type for Property list
page_infoobjectPagination metadata for Property list
next_cursorstringnullableCursor to fetch the next page, null if no more pages.
prev_cursorstringnullableCursor to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectArray of Property resources in this page
idstringProperty ID.
objectstringenumValues:propertyResource type identifier.
namestringName.
attributesobjectnullableAttributes belonging to this property.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last update timestamp.
unit_groupobjectExpandablenullableUnit group associated with this item category.
idstringUnit group ID.
objectstringenumValues:unit_groupResource type identifier.
namestringDisplay name.
notesstringnullableNotes.
typestringenumValues:currencyquantitytimeUnit type.
base_unitobjectnullableBase unit.
null in this endpoint.associated_unitsobjectnullableAssociated units.
null in this endpoint.ownerobjectnullableOwner.
null in this endpoint.created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
Responses
Successful response for List Item Categories